Subject: Re: What's cooking in git.git (May 2023, #03; Tue, 9)

From: Taylor Blau <[email-masked]>
Date: Tue, 9 May 2023 22:18:57 -0400

On Tue, May 09, 2023 at 06:56:48PM -0700, Junio C Hamano wrote:
> * tb/credential-long-lines (2023-05-01) 7 commits
>   (merged to 'next' on 2023-05-02 at f027002b92)
>  + contrib/credential: embiggen fixed-size buffer in wincred
>  + contrib/credential: avoid fixed-size buffer in libsecret
>  + contrib/credential: .gitignore libsecret build artifacts
>  + contrib/credential: remove 'gnome-keyring' credential helper
>  + contrib/credential: avoid fixed-size buffer in osxkeychain
>  + t/lib-credential.sh: ensure credential helpers handle long headers
>  + credential.c: store "wwwauth[]" values in `credential_read()`
>
>  The implementation of credential helpers used fgets() over fixed
>  size buffers to read protocol messages, causing the remainder of
>  the folded long line to trigger unexpected behaviour, which has
>  been corrected.
>
>  Will merge to 'master'.
>  source: <[email-masked]>

This has been in the "Will merge to 'master'" state for a couple of WCs.
Are you intentionally cooking it for a while in 'next' before merging,
or is this ready to go?

Thanks,
Taylor